Bug 7391 - Return to cart after adding items to a list
Summary: Return to cart after adding items to a list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-30 20:09 UTC by Owen Leonard
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 7391: Return to cart after adding items to a list (1.42 KB, patch)
2015-03-26 15:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed-off] Bug 7391: Return to cart after adding items to a list (1.58 KB, patch)
2015-03-26 15:35 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 7391: Return to cart after adding items to a list (1.54 KB, patch)
2015-03-27 13:38 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-12-30 20:09:27 UTC
If you select items in your cart and choose to add them to a list, upon completion of the transaction the pop-up window, which was originally opened for the cart, is closed. Instead you should be returned to the Cart view.
Comment 1 Katrin Fischer 2012-04-12 05:32:03 UTC
Retested on current master and the window is still closed after adding items to a list from the cart.
Comment 2 Jonathan Druart 2015-03-26 15:11:19 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-03-26 15:35:20 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-03-27 13:38:35 UTC
Created attachment 37316 [details] [review]
[PASSED QA] Bug 7391: Return to cart after adding items to a list

If you select items in your cart and choose to add them to a list, upon
completion of the transaction the pop-up window, which was originally
opened for the cart, is closed. Instead you should be returned to the
Cart view.

Test plan:
Confirm the expected behavior.

Confirmed.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-03-31 14:39:34 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 6 Chris Cormack 2015-04-06 07:05:01 UTC
Pushed to 3.18.x will be in 3.18.6